[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TUTF8Parser.CheckToken

Deprecated. Asserts that Token is of the expected type.

## Declaration

Source position: lresources.pp line 387

`public procedure TUTF8Parser.CheckToken(`
`T: Char`
`);`

## Arguments

`T` |  | The expected token type.

## Errors

EParserError when Token doesn't match the expected type.

## Version info

Deprecated in LCL version 3.0. Use Classes.TParser instead.